/****************************************************************************
  Project: NITRO-SampleTools - TXLib - TextureViewer
  File:    getNitroSDKDefine.c

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  Get definition data of NITRO-SDK.

  $Log: getNitroSDKDefine.c,v $
  Revision 1.6  2005/06/20 06:46:11  mominoki
  Updated copyright. Made revision adjustments. 


  Revision 1.1  2004/04/15		mominoki
  	Fixed file names.
  	Fixed comments. Changed from getIrisSDKDefine.c to getNitroSDKDefine.c.
 Changed function names.
  	Changed GetIrisSDK_Size_S to GetNitroSDK_Size_S
  	Changed GetIrisSDK_Size_T to GetNitroSDK_Size_T

  Revision 1.0  2004/01/27		mominoki
  Entered initial version.

  $NoKeywords: $
******************************************************************************/
#include <nitro.h>
#include <assert.h>

/******************************************************************************
	Prototype declaration
******************************************************************************/
GXTexSizeS	GetNitroSDK_Size_S( 
			u16				width				// Width
);

GXTexSizeT	GetNitroSDK_Size_T( 
			u16				height				// Height
);

/************************************************************************
	GetNitroSDK_Size_S

	Get S size (default S8)
************************************************************************/
GXTexSizeS	GetNitroSDK_Size_S( 
			u16				width				// Width
)
{
	GXTexSizeS size_S;

	switch( width )
	{
		case 8:		size_S = GX_TEXSIZE_S8;		break;
		case 16:	size_S = GX_TEXSIZE_S16; 	break;
		case 32:	size_S = GX_TEXSIZE_S32; 	break;
		case 64:	size_S = GX_TEXSIZE_S64;	break;
		case 128:	size_S = GX_TEXSIZE_S128;	break;
		case 256:	size_S = GX_TEXSIZE_S256;	break;
		case 512:	size_S = GX_TEXSIZE_S512;	break;
		case 1024:	size_S = GX_TEXSIZE_S1024; 	break;
		default: 	size_S = GX_TEXSIZE_S8;		break;
	}

	return size_S;
}

/************************************************************************
	GetNitroSDK_Size_T

	Get T size (default T8)
************************************************************************/
GXTexSizeT	GetNitroSDK_Size_T( 
			u16				height				// Height
)
{
	GXTexSizeT size_T;

	switch( height )
	{
		case 8:		size_T = GX_TEXSIZE_T8;		break;
		case 16:	size_T = GX_TEXSIZE_T16; 	break;
		case 32:	size_T = GX_TEXSIZE_T32; 	break;
		case 64:	size_T = GX_TEXSIZE_T64;	break;
		case 128:	size_T = GX_TEXSIZE_T128;	break;
		case 256:	size_T = GX_TEXSIZE_T256;	break;
		case 512:	size_T = GX_TEXSIZE_T512;	break;
		case 1024:	size_T = GX_TEXSIZE_T1024; 	break;
		default: 	size_T = GX_TEXSIZE_T8;		break;
	}

	return size_T;
}
