/****************************************************************************
  Project: NITRO-SampleTools - TXLib - TextureViewer
  File:    myLib_Os.c

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

   Routine to initialize NITRO

  $Log: myLib_Os.c,v $
  Revision 1.8  2005/06/20 06:46:11  mominoki
  Updated copyright. Made revision adjustments. 


  Revision 1.1  2004/04/15		mominoki
  Fixed comments.

  Revision 1.0  2004/01/27		mominoki
  Entered initial version.

  $NoKeywords: $
******************************************************************************/
#include <nitro.h>

/******************************************************************************
	Prototype Declaration
******************************************************************************/
extern void VBlankIntr(void);

void MyLib_Os_InitNitro(void);
void MyLib_Os_InitVram(void);
void MyLib_Os_Intr(void);

/******************************************************************************
	MyLib_Os_InitNitro();

	Initialization

	Initialize NitroMain
******************************************************************************/
void MyLib_Os_InitNitro(void)
{
    OS_Init();
    FX_Init();

    GX_Init();

    GX_DispOff();
    GXS_DispOff();
}

/******************************************************************************
	MyLib_Os_InitVram();

	Initialize VRAM (clear)
******************************************************************************/
void MyLib_Os_InitVram(void)
{
    // Allocate all the banks to LCDC
    GX_SetBankForLCDC(GX_VRAM_LCDC_ALL);

    // Clear all of LCDC space
    MI_CpuClearFast((void *)HW_LCDC_VRAM, HW_LCDC_VRAM_SIZE);

    // Disable bank allocated to LCDC
    (void)GX_DisableBankForLCDC();

    MI_CpuFillFast((void *)HW_OAM, 192, HW_OAM_SIZE);      //      OAM clear
    MI_CpuClearFast((void *)HW_PLTT, HW_PLTT_SIZE);        // Palette clear
}

/******************************************************************************
	MyLib_Os_Intr();

	Set interrupt, enable.
******************************************************************************/
void MyLib_Os_Intr(void)
{
    OS_SetIrqFunction(OS_IE_V_BLANK, VBlankIntr);
    (void)OS_SetIrqMask( OS_IE_V_BLANK );
    (void)OS_EnableIrq();

    (void)GX_VBlankIntr(TRUE);      // to generate VBlank interrupt request

	SVC_WaitVBlankIntr();			// Wait for V-blank interrupt to end

    GX_DispOn();
    GXS_DispOn();
}

