// NITRO Texture File
// format:     GX_TEXFMT_PLTT4
// width:        128
// height:       128
// original_width:    128
// original_height:   128
// date:       Fri Jun 25 11:50:59 2004

// source:     ../common/inputFiles/mario_128x128_direct.tga

#include <nitro.h>
#include "textureDataTypedef.h"

const u16 palette4_Palette[ 4 ] = {
     0x42DF, 0x4A56, 0x7FFF, 0x0010, 
};

const u8 palette4_Texel[ 128 * 128 / 4 ] = {
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x2A, 0x55,  //   0 line
     0x17, 0xA8, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x52, 0xFF, 0xFF,  //   0 line
     0xFF, 0x7F, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x2A, 0xFF, 0xFF, 0xFF,  //   1 line
     0xFF, 0xFF, 0x7F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xF2, 0xFF, 0xFF, 0xFF,  //   1 line
     0xFF, 0xFF, 0xFF, 0xA3, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0x2A, 0xFF, 0xFF, 0xFF, 0xFF,  //   1 line
     0xFF, 0xFF, 0xFF, 0x9F, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xF2, 0xFF, 0xFF, 0xFF, 0xFF,  //   1 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xA8, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0x2A, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   2 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xDA, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F,  //   2 line
     0x55, 0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xA1,  //   2 line
     0xAA, 0xD2, 0xFF, 0xFF, 0xFF, 0xA9, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xFF, 0xFF, 0xFF, 0xFF, 0x87, 0xAA,  //   2 line
     0xAA, 0xAA, 0xFD, 0xFF, 0xFF, 0xA7, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   3 line
     0xAA, 0xCA, 0xFF, 0xFF, 0xFF, 0xFF, 0xA9, 0xA0,  //   3 line
     0xAA, 0x0A, 0xDA, 0xFF, 0xFF, 0x9F, 0xAA, 0xAA,  //   3 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   3 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   3 line
     0xAA, 0xF2, 0xFF, 0xFF, 0xFF, 0x3F, 0xAA, 0x8F,  //   3 line
     0xAA, 0x72, 0x6A, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA,  //   3 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   3 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   3 line
     0xAA, 0xFC, 0xFF, 0xFF, 0xFF, 0x8F, 0x6A, 0x3F,  //   3 line
     0xAA, 0xFC, 0xA8, 0xFD, 0xFF, 0xFF, 0xA8, 0xAA,  //   3 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   3 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   3 line
     0x2A, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0xEA, 0xFF,  //   3 line
     0x28, 0xFF, 0xA9, 0xF6, 0xFF, 0xFF, 0xA3, 0xAA,  //   3 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   3 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   4 line
     0xCA, 0xFF, 0xFF, 0xFF, 0xFF, 0xAB, 0xDA, 0xFF,  //   4 line
     0xC3, 0xFF, 0xA3, 0xDA, 0xFF, 0xFF, 0xAF, 0xAA,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   4 line
     0xF2, 0xFF, 0xFF, 0xFF, 0xFF, 0xA9, 0xF2, 0xFF,  //   4 line
     0xFF, 0xFF, 0xA7, 0xCA, 0xFF, 0xFF, 0xBF, 0xAA,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   4 line
     0xFE, 0xFF, 0xFF, 0xFF, 0xFF, 0xA8, 0xF6, 0xD3,  //   4 line
     0xFF, 0xD7, 0x8F, 0x6A, 0xFF, 0xFF, 0x7F, 0xAA,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   4 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xFC, 0x6B,  //   4 line
     0xFF, 0xC9, 0xBF, 0x6A, 0xFF, 0xFF, 0xFF, 0xA9,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A,  //   5 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xFD, 0xA9,  //   5 line
     0xFD, 0x68, 0x7F, 0x6A, 0xFF, 0xFF, 0xFF, 0xA7,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xDA,  //   5 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x2A, 0xFF, 0xA9,  //   5 line
     0x3E, 0x6A, 0xFF, 0x20, 0xFF, 0xFF, 0xFF, 0xAF,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xF2,  //   5 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x6A, 0xFF, 0xA8,  //   5 line
     0x92, 0x2A, 0xFF, 0x21, 0xFF, 0xFF, 0xFF, 0x9F,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFE,  //   5 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xDA, 0xFF, 0xAA,  //   5 line
     0xAA, 0xAA, 0xFF, 0x63, 0xFF, 0xFF, 0xFF, 0xBF,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFF,  //   6 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xF8, 0x7F, 0xAA,  //   6 line
     0xAA, 0xAA, 0xFD, 0x67, 0xFF, 0xFF, 0xFF, 0x7F,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0xFF,  //   6 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xD9, 0x7F, 0xAA,  //   6 line
     0xAA, 0xAA, 0xFD, 0x47, 0xFF, 0xFF, 0xFF, 0xFF,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xCA, 0xFF,  //   6 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x63, 0x3F, 0xA0,  //   6 line
     0x2A, 0x00, 0xFD, 0xD1, 0xFF, 0xFF, 0xFF, 0xFF,  //   6 line
     0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xF2, 0xFF,  //   6 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x1D, 0x00,  //   6 line
     0x00, 0x00, 0x7C, 0xF2, 0xFF, 0xFF, 0xFF, 0xFF,  //   6 line
     0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFE, 0xFF,  //   7 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0x02, 0x00,  //   7 line
     0x00, 0x00, 0x95, 0xF4, 0xFF, 0xFF, 0xFF, 0xFF,  //   7 line
     0xA7, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFD, 0xFF,  //   7 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x2A, 0x50,  //   7 line
     0x55, 0x15, 0x28, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF,  //   7 line
     0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFF, 0xFF,  //   7 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x55, 0xFF,  //   7 line
     0xFF, 0x7F, 0x55, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   7 line
     0x9F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0xFF, 0xFF,  //   7 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   7 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   7 line
     0xBF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0xFF, 0xFF,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   8 line
     0x7F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xEA, 0xFF, 0xFF,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   8 line
     0xFF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xDA, 0xFF, 0xFF,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   8 line
     0xFF, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFA, 0xFF, 0xFF,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   8 line
     0xFF, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xF2, 0xFF, 0xFF,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   9 line
     0xFF, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xF6, 0xFF, 0xFF,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   9 line
     0xFF, 0xA3, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFE, 0xFF, 0xFF,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   9 line
     0xFF, 0xA7, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFC, 0xFF, 0xFF,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   9 line
     0xFF, 0xA7, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFD, 0xFF, 0xFF,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x2A, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x55, 0x01,  //  10 line
     0x00, 0x55, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x1F, 0x00, 0x00,  //  10 line
     0x00, 0x00, 0x40, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  10 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xEA, 0xFF, 0xFF, 0xFF,  //  11 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x00, 0x00,  //  11 line
     0x00, 0x00, 0xD0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  11 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xEA, 0xFF, 0xFF, 0xFF,  //  11 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x01, 0x00,  //  11 line
     0x00, 0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  11 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xCA, 0xFF, 0xFF, 0xFF,  //  11 line
     0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0x03, 0x00,  //  11 line
     0x00, 0x00, 0xF4, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  11 line
     0xFF, 0x8F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xCA, 0xFF, 0xFF, 0xFF,  //  11 line
     0xFF, 0x1F, 0xFC, 0xFF, 0xFF, 0xFF, 0x07, 0x00,  //  11 line
     0x00, 0x00, 0xF4, 0xFF, 0xFF, 0x7F, 0xFD, 0xFF,  //  11 line
     0xFF, 0x8F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xDA, 0xFF, 0xFF, 0xFF,  //  12 line
     0xFF, 0x03, 0xFC, 0x07, 0x40, 0xFD, 0x0F, 0x00,  //  12 line
     0x00, 0x00, 0xFC, 0x5F, 0x55, 0x7F, 0xF5, 0xFF,  //  12 line
     0xFF, 0x8F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  12 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xCA, 0xFF, 0xFF, 0xFF,  //  12 line
     0x7F, 0x00, 0x7C, 0x00, 0x00, 0xD0, 0x1F, 0x00,  //  12 line
     0x00, 0x00, 0xFD, 0x55, 0x55, 0xF5, 0xD5, 0xFF,  //  12 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  12 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xCA, 0xFF, 0xFF, 0xFF,  //  12 line
     0x1F, 0x00, 0x1D, 0x00, 0x00, 0x40, 0x1F, 0x00,  //  12 line
     0x00, 0x00, 0x7D, 0x55, 0x55, 0xF5, 0xD5, 0xFF,  //  12 line
     0xFF, 0xA7, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  12 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xEA, 0xFF, 0xFF, 0xFF,  //  12 line
     0x07, 0x00, 0x05, 0x00, 0x50, 0x05, 0x1D, 0x00,  //  12 line
     0x00, 0x00, 0x5D, 0x55, 0x55, 0x55, 0x55, 0xFF,  //  12 line
     0xFF, 0xA7, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  12 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xEA, 0xFF, 0xFF, 0xFF,  //  13 line
     0x03, 0x00, 0x00, 0x00, 0x55, 0x55, 0x14, 0x00,  //  13 line
     0x00, 0x00, 0x55, 0x55, 0x55, 0x55, 0x55, 0xFF,  //  13 line
     0xFF, 0xA3, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  13 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xEA, 0xFF, 0xFF, 0xFF,  //  13 line
     0x01, 0x00, 0x00, 0x10, 0xA8, 0x4A, 0x01, 0x00,  //  13 line
     0x00, 0x40, 0x55, 0x55, 0x55, 0x55, 0x55, 0xFF,  //  13 line
     0xFF, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  13 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xEA, 0xFF, 0xFF, 0xFF,  //  13 line
     0x01, 0x00, 0x00, 0x80, 0xAA, 0x2A, 0x05, 0x00,  //  13 line
     0x00, 0x50, 0x15, 0x00, 0x50, 0x55, 0x55, 0xFF,  //  13 line
     0xFF, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  13 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0xFF, 0xFF, 0xFF,  //  13 line
     0x01, 0x00, 0x00, 0xA4, 0xAA, 0x0A, 0x05, 0x00,  //  13 line
     0x00, 0x54, 0x55, 0xA0, 0x52, 0x55, 0x55, 0xFF,  //  13 line
     0xFF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  13 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x2A, 0xFF, 0xFF, 0xFF,  //  14 line
     0x01, 0x00, 0x00, 0xA1, 0xAA, 0x55, 0x15, 0x00,  //  14 line
     0x00, 0x55, 0x55, 0x85, 0x42, 0x55, 0x55, 0xFF,  //  14 line
     0x3F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  14 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFF, 0xFF, 0xFF,  //  14 line
     0x01, 0x00, 0x00, 0xA9, 0x6A, 0x55, 0x15, 0x00,  //  14 line
     0x00, 0x55, 0x55, 0x15, 0x42, 0x55, 0x55, 0xFF,  //  14 line
     0x9F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  14 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFD, 0xFF, 0xFF,  //  14 line
     0x01, 0x00, 0x00, 0xA8, 0x5A, 0x75, 0x15, 0x00,  //  14 line
     0x00, 0x55, 0x55, 0x55, 0x40, 0x55, 0x55, 0xFF,  //  14 line
     0x8F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  14 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xD4, 0xFF, 0xFF,  //  14 line
     0x01, 0x00, 0x00, 0xA8, 0x52, 0xFD, 0x17, 0x00,  //  14 line
     0x00, 0x55, 0xF5, 0x5F, 0x41, 0x55, 0x55, 0xFF,  //  14 line
     0xA7, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  14 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x2A, 0x0A, 0xFD, 0xFF,  //  15 line
     0x03, 0x00, 0x00, 0xA8, 0x56, 0x6F, 0x1F, 0x00,  //  15 line
     0x00, 0x55, 0xBD, 0x5D, 0x41, 0x55, 0x55, 0xFF,  //  15 line
     0x01, 0xA8, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  15 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x02, 0x00, 0xF4, 0xFF,  //  15 line
     0x07, 0x00, 0x00, 0xA8, 0x56, 0x5F, 0x1F, 0x00,  //  15 line
     0x00, 0x54, 0x7F, 0x7D, 0x41, 0x55, 0x55, 0xFF,  //  15 line
     0x00, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  15 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x40, 0x01, 0xD0, 0xFF,  //  15 line
     0x07, 0x00, 0x00, 0xA8, 0xD6, 0xFF, 0x1F, 0x00,  //  15 line
     0x00, 0x54, 0xFF, 0x7F, 0x41, 0x55, 0x55, 0xFF,  //  15 line
     0x50, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  15 line
     0xAA, 0xAA, 0xAA, 0x2A, 0x54, 0x15, 0xD0, 0xFF,  //  15 line
     0x1F, 0x00, 0x00, 0xA8, 0xD6, 0xFF, 0x1F, 0x00,  //  15 line
     0x00, 0x54, 0xFF, 0x7F, 0x45, 0x55, 0x55, 0xFF,  //  15 line
     0xD5, 0x9F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  15 line
     0xAA, 0xAA, 0xAA, 0x2A, 0x55, 0x55, 0xD0, 0xFF,  //  16 line
     0x1F, 0x00, 0x00, 0xA9, 0xD4, 0xFF, 0x1F, 0x00,  //  16 line
     0x00, 0x40, 0xFF, 0x7F, 0x45, 0x55, 0x55, 0xFF,  //  16 line
     0xF5, 0x9F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  16 line
     0xAA, 0xAA, 0xAA, 0x6A, 0x55, 0x55, 0xD1, 0xFF,  //  16 line
     0x1F, 0x00, 0x00, 0xA9, 0xD6, 0xFF, 0x1F, 0x00,  //  16 line
     0x00, 0x00, 0xF4, 0x7F, 0x45, 0x55, 0x55, 0xFF,  //  16 line
     0x55, 0x3D, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  16 line
     0xAA, 0xAA, 0xAA, 0x6A, 0x55, 0x55, 0xD5, 0xFF,  //  16 line
     0x1F, 0x00, 0x00, 0xA9, 0x56, 0xFF, 0x1F, 0x00,  //  16 line
     0x00, 0x00, 0x40, 0x7D, 0x55, 0x55, 0x55, 0xFF,  //  16 line
     0x57, 0x35, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  16 line
     0xAA, 0xAA, 0xAA, 0x4A, 0x55, 0x51, 0xD5, 0xFF,  //  16 line
     0x1F, 0x00, 0x00, 0xA1, 0x56, 0xFF, 0x07, 0x00,  //  16 line
     0x00, 0x00, 0x00, 0x54, 0x55, 0x55, 0xD5, 0xFF,  //  16 line
     0x55, 0x75, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  16 line
     0xAA, 0xAA, 0xAA, 0x6A, 0x15, 0x00, 0xD5, 0xFF,  //  17 line
     0x1F, 0x00, 0x00, 0xA5, 0x52, 0xFD, 0x01, 0x00,  //  17 line
     0x00, 0x00, 0x00, 0x54, 0x55, 0x55, 0xD5, 0xFF,  //  17 line
     0x55, 0x75, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  17 line
     0xAA, 0xAA, 0xAA, 0x6A, 0x05, 0x50, 0xD5, 0xFF,  //  17 line
     0x1F, 0x00, 0x00, 0x84, 0x5A, 0x15, 0x00, 0x00,  //  17 line
     0x00, 0x00, 0x00, 0x54, 0x55, 0x55, 0x55, 0xFF,  //  17 line
     0x55, 0x15, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  17 line
     0xAA, 0xAA, 0xAA, 0x6A, 0x01, 0x50, 0xF5, 0xFF,  //  17 line
     0x07, 0x00, 0x00, 0x94, 0x6A, 0x0F, 0x00, 0x00,  //  17 line
     0x00, 0x00, 0x00, 0x54, 0x55, 0x55, 0x55, 0xFF,  //  17 line
     0x57, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  17 line
     0xAA, 0xAA, 0xAA, 0x6A, 0x01, 0x50, 0xF5, 0xFF,  //  17 line
     0x01, 0x50, 0x00, 0x10, 0xAA, 0x05, 0x00, 0x00,  //  17 line
     0x00, 0x00, 0x00, 0x54, 0x55, 0x45, 0x55, 0xFF,  //  17 line
     0x57, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  17 line
     0xAA, 0xAA, 0xAA, 0x6A, 0x01, 0x00, 0xF0, 0x7F,  //  18 line
     0x00, 0xF0, 0x03, 0x40, 0xA9, 0x02, 0x00, 0x00,  //  18 line
     0x00, 0x00, 0x00, 0x55, 0x55, 0x00, 0x7D, 0xFD,  //  18 line
     0x57, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  18 line
     0xAA, 0xAA, 0xAA, 0x2A, 0x00, 0x00, 0xF0, 0x7F,  //  18 line
     0x00, 0xF4, 0x1F, 0x00, 0x54, 0x01, 0x00, 0x00,  //  18 line
     0x00, 0x00, 0x40, 0x55, 0x15, 0x40, 0x7F, 0xFD,  //  18 line
     0x5F, 0x85, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  18 line
     0xAA, 0xAA, 0xAA, 0x2A, 0x01, 0x00, 0xF0, 0x3F,  //  18 line
     0x00, 0xFC, 0x7F, 0x01, 0x40, 0x05, 0x00, 0x00,  //  18 line
     0x00, 0x00, 0x50, 0x55, 0x15, 0xF4, 0xFF, 0xF5,  //  18 line
     0x5F, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  18 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x01, 0x00, 0xF0, 0x1F,  //  18 line
     0x00, 0xFC, 0xFF, 0x5F, 0x00, 0x05, 0x00, 0x00,  //  18 line
     0x00, 0x40, 0x55, 0x55, 0x55, 0xFF, 0xFF, 0xF5,  //  18 line
     0x5F, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  18 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x00, 0x00, 0xF0, 0x1F,  //  19 line
     0x00, 0xFC, 0xFF, 0xFF, 0x5F, 0x05, 0x00, 0x00,  //  19 line
     0x00, 0x54, 0x55, 0x55, 0xD5, 0xFF, 0xFF, 0xD5,  //  19 line
     0x5F, 0xA1, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  19 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x06, 0x00, 0xD0, 0x1F,  //  19 line
     0x00, 0xFD, 0xFF, 0xFF, 0xFF, 0x15, 0x00, 0x00,  //  19 line
     0x00, 0x55, 0x55, 0x55, 0xD5, 0xFF, 0xFF, 0xD5,  //  19 line
     0x57, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  19 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x06, 0x00, 0x40, 0x1F,  //  19 line
     0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0x57, 0x15, 0x10,  //  19 line
     0x55, 0x55, 0x55, 0x55, 0xF5, 0xFF, 0xFF, 0xD5,  //  19 line
     0x55, 0xA8, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  19 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x1A, 0x00, 0x00, 0x15,  //  19 line
     0x00, 0xF4, 0xFF, 0xFF, 0xFF, 0x57, 0x55, 0x55,  //  19 line
     0x55, 0x55, 0x55, 0x55, 0xF5, 0xFF, 0xFF, 0x55,  //  19 line
     0x55, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  19 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x4A, 0x00, 0x00, 0x54,  //  20 line
     0x00, 0xF4, 0xFF, 0xFF, 0xFF, 0x57, 0x55, 0x55,  //  20 line
     0x55, 0x55, 0x55, 0x55, 0xF5, 0xFF, 0xFF, 0x55,  //  20 line
     0x15, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0x01, 0x00, 0x55,  //  20 line
     0x00, 0xD0, 0xFF, 0xFF, 0xFF, 0x5F, 0x55, 0x55,  //  20 line
     0x55, 0x55, 0x55, 0x55, 0xFD, 0xFF, 0x7F, 0x55,  //  20 line
     0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x05, 0x00, 0x55,  //  20 line
     0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0x7F, 0x55, 0x55,  //  20 line
     0x55, 0x55, 0x55, 0x55, 0xFD, 0xFF, 0x5F, 0x55,  //  20 line
     0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x56, 0x40, 0x55,  //  20 line
     0x01, 0x00, 0xFD, 0xFF, 0xFF, 0xFF, 0x55, 0x55,  //  20 line
     0x55, 0x55, 0x55, 0x55, 0xFF, 0xFF, 0x57, 0x55,  //  20 line
     0xA1, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0x55, 0x55,  //  21 line
     0x05, 0x00, 0x40, 0xFF, 0xFF, 0xFF, 0x57, 0x55,  //  21 line
     0x55, 0x55, 0x55, 0xD5, 0xFF, 0x7F, 0x55, 0x55,  //  21 line
     0xA8, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  21 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x2A, 0x55, 0x55,  //  21 line
     0x15, 0x00, 0x40, 0xFF, 0xFF, 0xFF, 0x5F, 0x55,  //  21 line
     0x55, 0x55, 0x55, 0xF5, 0xFF, 0x7F, 0x55, 0x15,  //  21 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  21 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x0A, 0x58,  //  21 line
     0x55, 0x00, 0x40, 0xFF, 0xFF, 0xFF, 0x7F, 0x55,  //  21 line
     0x55, 0x55, 0x55, 0xFD, 0xFF, 0x7F, 0x55, 0xA5,  //  21 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  21 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x4A,  //  21 line
     0x55, 0x05, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0x57,  //  21 line
     0x55, 0x55, 0xD5, 0xFF, 0xFF, 0x5F, 0x55, 0xA5,  //  21 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  21 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A,  //  22 line
     0x55, 0x55, 0x01, 0xFC, 0xFF, 0xFF, 0xFF, 0x7F,  //  22 line
     0x55, 0x55, 0xFD, 0xFF, 0xFF, 0x57, 0x55, 0xA1,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A,  //  22 line
     0x55, 0x55, 0x55, 0xF4, 0xFF, 0xF7, 0xFF, 0xFF,  //  22 line
     0xFF, 0xFF, 0xFF, 0xF7, 0xFF, 0x57, 0x55, 0xA9,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x2A,  //  22 line
     0x55, 0x55, 0x55, 0x55, 0x75, 0xD1, 0xFF, 0xFF,  //  22 line
     0xFF, 0xFF, 0xFF, 0x57, 0x55, 0x55, 0x55, 0xA8,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  22 line
     0x55, 0x55, 0x55, 0x55, 0x55, 0xD5, 0xFF, 0xFF,  //  22 line
     0xFF, 0xFF, 0xFF, 0x55, 0x55, 0x55, 0x15, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  23 line
     0x54, 0x55, 0x55, 0x55, 0x55, 0x55, 0xF5, 0xFF,  //  23 line
     0x57, 0xFF, 0x5F, 0x55, 0x55, 0x55, 0x85, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  23 line
     0x56, 0x55, 0x55, 0x55, 0x55, 0x05, 0x40, 0x15,  //  23 line
     0x00, 0x54, 0x55, 0x55, 0x55, 0x55, 0xA1, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  23 line
     0x4A, 0x55, 0x55, 0x55, 0x55, 0x55, 0x05, 0x00,  //  23 line
     0x00, 0x54, 0x55, 0x55, 0x55, 0x55, 0xA9, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  23 line
     0x2A, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55,  //  23 line
     0x55, 0x55, 0x55, 0x55, 0x55, 0x15, 0xA8, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  24 line
     0xAA, 0x54, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55,  //  24 line
     0x55, 0x55, 0x55, 0x55, 0x55, 0x05, 0xAA, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  24 line
     0xAA, 0x52, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55,  //  24 line
     0x55, 0x55, 0x55, 0x55, 0x55, 0xA1, 0xAA, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  24 line
     0xAA, 0x2A, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55,  //  24 line
     0x55, 0x55, 0x55, 0x55, 0x05, 0xA8, 0xAA, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x0A,  //  24 line
     0xA8, 0xAA, 0x55, 0x55, 0x55, 0x55, 0x55, 0x55,  //  24 line
     0x55, 0x55, 0x55, 0x55, 0x41, 0x40, 0x15, 0x2A,  //  24 line
     0x85, 0xAA, 0x2A, 0x50, 0x05, 0x4A, 0xAA, 0xAA,  //  24 line
     0x42, 0xF5, 0x57, 0x81, 0x2A, 0xF5, 0x57, 0xFF,  //  25 line
     0xFF, 0x57, 0x5F, 0x55, 0x55, 0x55, 0x55, 0x55,  //  25 line
     0x55, 0x55, 0x55, 0x15, 0xF4, 0xFF, 0xFF, 0xFF,  //  25 line
     0xFF, 0x15, 0xFD, 0xFF, 0xFF, 0xFF, 0xA8, 0xAA,  //  25 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF,  //  25 line
     0xFF, 0xFF, 0x7F, 0x55, 0x55, 0x55, 0x55, 0x55,  //  25 line
     0x55, 0x55, 0x55, 0x41, 0xFD, 0xFF, 0xFF, 0xFF,  //  25 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA9, 0xAA,  //  25 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  25 line
     0xFF, 0xFF, 0x5F, 0x7D, 0x55, 0x55, 0x55, 0x55,  //  25 line
     0x55, 0x55, 0x55, 0xD4, 0xFF, 0xFF, 0xFF, 0xFF,  //  25 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA3, 0xAA,  //  25 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  25 line
     0xFF, 0xFF, 0x5F, 0xF5, 0x5F, 0x55, 0x55, 0x55,  //  25 line
     0x55, 0x55, 0x05, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF,  //  25 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0xAA,  //  25 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  26 line
     0xFF, 0xFF, 0x5F, 0xF5, 0x7F, 0x55, 0x55, 0x55,  //  26 line
     0x55, 0x55, 0x51, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  26 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0xAA,  //  26 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  26 line
     0xFF, 0xFF, 0x5F, 0xF5, 0xFF, 0x57, 0x55, 0x55,  //  26 line
     0x55, 0x15, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  26 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0xAA,  //  26 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  26 line
     0xFF, 0xFF, 0x5F, 0xF5, 0xFF, 0x7F, 0x55, 0x55,  //  26 line
     0x55, 0x55, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  26 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0xAA,  //  26 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  26 line
     0xFF, 0xFF, 0x5F, 0xF5, 0xFF, 0xFF, 0xFF, 0x55,  //  26 line
     0xD5, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  26 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xAA,  //  26 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0x5F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xAA,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0x5F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xAA,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0x7F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xAA,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0x7F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xAA,  //  27 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0x7F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xAA,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0x7F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0xAA,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0x7F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0x6A,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0x7F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x8F, 0x6A,  //  28 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0x7F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x0A,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0x7F, 0xF5, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0xFF, 0xF7, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x0A,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0x7F, 0xFD, 0xF7, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0x0A,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0x7F, 0xFD, 0xF7, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA5, 0x2A,  //  29 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  30 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  30 line
     0xFF, 0xFF, 0xFF, 0xDF, 0xFF, 0xFF, 0xFF, 0xFF,  //  30 line
     0xFF, 0x57, 0xF5, 0xFF, 0x7F, 0x55, 0x05, 0xAA,  //  30 line
     0xF5, 0xFF, 0xFF, 0x57, 0x55, 0xFD, 0xFF, 0xFF,  //  30 line
     0xFF, 0xFF, 0x57, 0xF5, 0xFF, 0xF5, 0xFF, 0xFF,  //  30 line
     0xFF, 0xFF, 0x57, 0xFF, 0x5F, 0xD4, 0xFF, 0x57,  //  30 line
     0xA0, 0xAA, 0xAA, 0x0A, 0xA8, 0x2A, 0x85, 0xAA,  //  30 line
     0xAA, 0x02, 0xA0, 0xAA, 0xAA, 0xAA, 0x50, 0xFF,  //  30 line
     0xFF, 0xFF, 0xA1, 0xDA, 0xF7, 0x55, 0xD5, 0xFF,  //  30 line
     0xFF, 0x57, 0xF5, 0xFF, 0xA1, 0x4A, 0xFF, 0xAA,  //  30 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  30 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFC,  //  30 line
     0xFF, 0x7F, 0xAA, 0x2A, 0xFF, 0x7F, 0x55, 0x55,  //  30 line
     0x55, 0xD5, 0xFF, 0x7F, 0xA8, 0x0A, 0xFD, 0xA8,  //  30 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  30 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFC,  //  31 line
     0xFF, 0x9F, 0xAA, 0xAA, 0xFD, 0xFF, 0xFF, 0xFF,  //  31 line
     0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0x0A, 0xFC, 0xA8,  //  31 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  31 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFD,  //  31 line
     0xFF, 0xA7, 0xAA, 0xAA, 0xF4, 0xFF, 0xFF, 0xFF,  //  31 line
     0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0x0A, 0xF4, 0xA8,  //  31 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  31 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFD,  //  31 line
     0xFF, 0xA7, 0xAA, 0xAA, 0xF6, 0xFF, 0xFF, 0xFF,  //  31 line
     0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0x0A, 0xF4, 0xA9,  //  31 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  31 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x2A, 0xFF,  //  31 line
     0xFF, 0xA7, 0xAA, 0xAA, 0xF6, 0xFF, 0xFF, 0xFF,  //  31 line
     0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0x0A, 0xD4, 0xA7,  //  31 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  31 line
};

const tTextureParameter		palette4_Parameter = {
				4096,				8,				0,
				GX_TEXFMT_PLTT4,	128,			128,		128,		128};

//			Texel size, palette size, palette index size, 
//			Format, width, height, Actual width, Actual height
