// NITRO Texture File
// format:     GX_TEXFMT_PLTT4
// width:        128
// height:       128
// original_width:    128
// original_height:   128
// date:       Fri Jun 25 11:51:01 2004

// source:     ../common/inputFiles/mario_128x128_direct.tga

#include <nitro.h>
#include "textureDataTypedef.h"

const u16 palette4_ta_Palette[ 4 ] = {
     0x0000, 0x3A7D, 0x29D5, 0x7FFF, 
};

const u8 palette4_ta_Texel[ 128 * 128 / 4 ] = {
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   0 line
     0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   0 line
     0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0,  //   0 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xA5,  //   0 line
     0x6A, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC,  //   0 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0xAA, 0xAA,  //   0 line
     0xAA, 0xAA, 0xF6, 0xFF, 0x0F, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   0 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xFF,  //   1 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0x6A, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //   1 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   1 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFC, 0xFF,  //   1 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xA7, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xF6, 0xFF, 0x0F, 0x00, 0x00,  //   1 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   1 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF,  //   1 line
     0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xEA, 0xFF, 0xFF, 0x00, 0x00,  //   1 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   1 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0xF0, 0xFF, 0xFF,  //   1 line
     0xFF, 0xFF, 0xFF, 0xA7, 0xAA, 0xAA, 0xAA, 0xAA,  //   1 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xFD, 0xFF, 0x03, 0x00,  //   1 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   1 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF,  //   2 line
     0xFF, 0xFF, 0x7F, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xFA, 0xFF, 0x3F, 0x00,  //   2 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   2 line
     0x00, 0x00, 0x00, 0x00, 0xC0, 0xFF, 0xFF, 0xFF,  //   2 line
     0xFF, 0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   2 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0xFF, 0xFF, 0x00,  //   2 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   2 line
     0x00, 0x00, 0x00, 0x00, 0xFC, 0xFF, 0xFF, 0xFF,  //   2 line
     0xFF, 0xFF, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xF5,  //   2 line
     0xFF, 0xA7, 0xAA, 0xAA, 0xAA, 0xFE, 0xFF, 0x0F,  //   2 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   2 line
     0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF,  //   2 line
     0xFF, 0xFF, 0xAA, 0xAA, 0xAA, 0xAA, 0xDA, 0xFF,  //   2 line
     0xFF, 0xFF, 0xA9, 0xAA, 0xAA, 0xFA, 0xFF, 0x3F,  //   2 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   2 line
     0x00, 0x00, 0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF,  //   3 line
     0xFF, 0xBF, 0xAA, 0xAA, 0xAA, 0xAA, 0xFD, 0xF5,  //   3 line
     0xFF, 0xDF, 0xAF, 0xAA, 0xAA, 0xDA, 0xFF, 0xFF,  //   3 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   3 line
     0x00, 0x00, 0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF,  //   3 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0x6A, 0xFF, 0xDA,  //   3 line
     0xFF, 0xA7, 0x7F, 0xAA, 0xAA, 0x6A, 0xFF, 0xFF,  //   3 line
     0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   3 line
     0x00, 0x00, 0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF,  //   3 line
     0xFF, 0xAB, 0xAA, 0xAA, 0xAA, 0xDA, 0x7F, 0x6A,  //   3 line
     0xFF, 0xA9, 0xFD, 0xA9, 0xAA, 0xAA, 0xFD, 0xFF,  //   3 line
     0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   3 line
     0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   3 line
     0x7F, 0xAA, 0xAA, 0xAA, 0xAA, 0xF6, 0xBF, 0xAA,  //   3 line
     0x7D, 0xAA, 0xFE, 0xA7, 0xAA, 0xAA, 0xF6, 0xFF,  //   3 line
     0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   3 line
     0x00, 0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   4 line
     0x9F, 0xAA, 0xAA, 0xAA, 0xAA, 0xFE, 0x9F, 0xAA,  //   4 line
     0x96, 0xAA, 0xF6, 0xAF, 0xAA, 0xAA, 0xFA, 0xFF,  //   4 line
     0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   4 line
     0x00, 0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   4 line
     0xA7, 0xAA, 0xAA, 0xAA, 0xAA, 0xFD, 0xAF, 0xAA,  //   4 line
     0xAA, 0xAA, 0xFA, 0x9F, 0xAA, 0xAA, 0xEA, 0xFF,  //   4 line
     0xFF, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   4 line
     0x00, 0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   4 line
     0xAB, 0xAA, 0xAA, 0xAA, 0xAA, 0xFF, 0xAB, 0x96,  //   4 line
     0xAA, 0x9A, 0xDA, 0xBF, 0xAA, 0xAA, 0xAA, 0xFF,  //   4 line
     0xFF, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   4 line
     0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //   4 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFF, 0xA9, 0xBE,  //   4 line
     0xAA, 0x9E, 0xEA, 0xBF, 0xAA, 0xAA, 0xAA, 0xFE,  //   4 line
     0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   4 line
     0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFF, 0xAA, 0xFE,  //   5 line
     0xAA, 0xBF, 0x6A, 0x7F, 0xAA, 0xAA, 0xAA, 0xF6,  //   5 line
     0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   5 line
     0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x7F, 0xAA, 0xFD,  //   5 line
     0x6B, 0x7F, 0xAA, 0x7D, 0xAA, 0xAA, 0xAA, 0xFA,  //   5 line
     0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //   5 line
     0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA7,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBF, 0xAA, 0xFD,  //   5 line
     0xD7, 0x7F, 0xAA, 0x7E, 0xAA, 0xAA, 0xAA, 0xEA,  //   5 line
     0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00,  //   5 line
     0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAB,  //   5 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x9F, 0xAA, 0xFF,  //   5 line
     0xFF, 0xFF, 0xAA, 0x76, 0xAA, 0xAA, 0xAA, 0xEA,  //   5 line
     0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00,  //   5 line
     0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAA,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAD, 0xAA, 0xFF,  //   6 line
     0xFF, 0xFF, 0xAA, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA,  //   6 line
     0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00,  //   6 line
     0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAE, 0x6A, 0xFF,  //   6 line
     0xFF, 0xFF, 0xA9, 0xBA, 0xAA, 0xAA, 0xAA, 0xAA,  //   6 line
     0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00,  //   6 line
     0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0xAA,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xBE, 0x6A, 0xFF,  //   6 line
     0xFF, 0xFF, 0xA9, 0x9E, 0xAA, 0xAA, 0xAA, 0xAA,  //   6 line
     0xFE, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,  //   6 line
     0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0xAA,  //   6 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFA, 0xE9, 0xF5,  //   6 line
     0xFF, 0x57, 0x69, 0xA7, 0xAA, 0xAA, 0xAA, 0xAA,  //   6 line
     0xFE, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00,  //   6 line
     0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAB, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xEA, 0x57, 0x55,  //   7 line
     0x7F, 0x55, 0xD5, 0xAB, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xFA, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00,  //   7 line
     0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xFF, 0x55,  //   7 line
     0x59, 0x55, 0xFD, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xFA, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00, 0x00,  //   7 line
     0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0x96, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xEA, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00, 0x00,  //   7 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   7 line
     0xEA, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00,  //   7 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xFE, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   8 line
     0xAA, 0xFE, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00,  //   8 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xFE, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAB, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xF6, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAB, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xF6, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA9, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //   9 line
     0xAA, 0xFA, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00,  //   9 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xFA, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xFA, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0x55,  //  10 line
     0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xFA, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0x55, 0x55,  //  10 line
     0x55, 0x55, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  10 line
     0xAA, 0xFA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  10 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x55, 0x55,  //  11 line
     0x55, 0x55, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xFA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  11 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x56, 0x55,  //  11 line
     0x55, 0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xFA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  11 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x56, 0x55,  //  11 line
     0x55, 0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xFA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  11 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0x6A, 0xA9, 0xAA, 0xAA, 0xAA, 0x5A, 0x55,  //  11 line
     0x55, 0x55, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  11 line
     0xAA, 0xDA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  11 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0xAA, 0xAA, 0xAA,  //  12 line
     0xAA, 0x56, 0xA9, 0x56, 0x55, 0xAA, 0x5A, 0x55,  //  12 line
     0x55, 0x55, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  12 line
     0xAA, 0xDA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  12 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0xAA, 0xAA, 0xAA,  //  12 line
     0xAA, 0x55, 0x69, 0x55, 0x55, 0xA5, 0x5A, 0x55,  //  12 line
     0x55, 0x55, 0xAA, 0x56, 0x55, 0xA9, 0xAA, 0xAA,  //  12 line
     0xAA, 0xFA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  12 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  12 line
     0x6A, 0x55, 0x5A, 0x55, 0x55, 0x55, 0x6A, 0x55,  //  12 line
     0x55, 0x55, 0xAA, 0x95, 0xAA, 0xA5, 0xAA, 0xAA,  //  12 line
     0xAA, 0xFA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  12 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  12 line
     0x5A, 0x55, 0x55, 0x55, 0x55, 0x55, 0x69, 0x55,  //  12 line
     0x55, 0x55, 0x6A, 0xAA, 0x6A, 0xA9, 0xAA, 0xAA,  //  12 line
     0xAA, 0xF6, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  12 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  13 line
     0x56, 0x55, 0x55, 0x55, 0x55, 0x65, 0x69, 0x55,  //  13 line
     0x55, 0x55, 0x9A, 0xAA, 0x6A, 0xA9, 0xAA, 0xAA,  //  13 line
     0xAA, 0xF6, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  13 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  13 line
     0x56, 0x55, 0x55, 0x55, 0xFF, 0x9F, 0x56, 0x55,  //  13 line
     0x55, 0x55, 0xAA, 0x55, 0xA9, 0xA9, 0xAA, 0xAA,  //  13 line
     0xAA, 0xFE, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  13 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  13 line
     0x56, 0x55, 0x55, 0xD5, 0xFF, 0xFF, 0x56, 0x55,  //  13 line
     0x55, 0x55, 0x6A, 0xFD, 0xA7, 0xA6, 0xAA, 0xAA,  //  13 line
     0xAA, 0xFE, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  13 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0xAA, 0xAA,  //  13 line
     0x56, 0x55, 0x55, 0xF5, 0xFF, 0x5F, 0x59, 0x55,  //  13 line
     0x55, 0x95, 0x5A, 0xFD, 0x9F, 0xA6, 0xAA, 0xAA,  //  13 line
     0xAA, 0xFF, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  13 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA, 0xAA,  //  14 line
     0x56, 0x55, 0x55, 0xF5, 0xFF, 0xAA, 0x5A, 0x55,  //  14 line
     0x55, 0xA5, 0xAA, 0xDA, 0x5F, 0xAA, 0xAA, 0xAA,  //  14 line
     0x6A, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x00, 0x00,  //  14 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAA, 0xAA, 0xAA,  //  14 line
     0x56, 0x55, 0x55, 0xFD, 0xBF, 0xAA, 0x6A, 0x55,  //  14 line
     0x55, 0xA5, 0xAA, 0x6A, 0x5F, 0xAA, 0xAA, 0xAA,  //  14 line
     0xEA, 0xFF, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  14 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAA, 0xAA, 0xAA,  //  14 line
     0x56, 0x55, 0x55, 0xFD, 0xAF, 0xAA, 0x6A, 0x55,  //  14 line
     0x55, 0x95, 0xAA, 0xAA, 0x5F, 0x9A, 0xAA, 0xAA,  //  14 line
     0xFA, 0xFF, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  14 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xA9, 0xAA, 0xAA,  //  14 line
     0x56, 0x55, 0x55, 0xFD, 0xA7, 0xAA, 0x6A, 0x55,  //  14 line
     0x55, 0x95, 0xAA, 0xAA, 0x5D, 0x9A, 0xAA, 0xAA,  //  14 line
     0xFA, 0xFF, 0xFF, 0xFF, 0xFF, 0x0F, 0x00, 0x00,  //  14 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xA9, 0xAA,  //  15 line
     0x56, 0x55, 0x55, 0xFD, 0xAB, 0x7A, 0x6A, 0x55,  //  15 line
     0x55, 0x95, 0xEA, 0xAA, 0x5E, 0xAA, 0xAA, 0xAA,  //  15 line
     0x55, 0xFD, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  15 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAB, 0xAA,  //  15 line
     0x56, 0x55, 0x55, 0xFD, 0xAB, 0xAA, 0x6A, 0x55,  //  15 line
     0x55, 0x95, 0xAA, 0xAA, 0x56, 0xAA, 0xAA, 0xAA,  //  15 line
     0x55, 0xF5, 0xFF, 0xFF, 0xFF, 0x0F, 0x00, 0x00,  //  15 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x55, 0x55, 0xA7, 0xAA,  //  15 line
     0x5A, 0x55, 0x55, 0xFD, 0xAB, 0xAA, 0x6A, 0x55,  //  15 line
     0x55, 0x95, 0xAA, 0xAA, 0x56, 0xAA, 0xAA, 0xAA,  //  15 line
     0x95, 0xDA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  15 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xA5, 0x5A, 0x9D, 0xAA,  //  15 line
     0x5A, 0x55, 0x55, 0xFD, 0xAB, 0xAA, 0x6A, 0x55,  //  15 line
     0x55, 0x95, 0xAA, 0xAA, 0x56, 0xAA, 0xAA, 0xAA,  //  15 line
     0xA5, 0xEA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  15 line
     0xFF, 0xFF, 0xFF, 0x7F, 0xA9, 0xAA, 0x9D, 0xAA,  //  16 line
     0x6A, 0x55, 0x55, 0xFD, 0xAB, 0xAA, 0x6A, 0x55,  //  16 line
     0x55, 0x95, 0xAA, 0xAA, 0x56, 0xAA, 0xAA, 0xAA,  //  16 line
     0xAA, 0xEA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  16 line
     0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA, 0x96, 0xAA,  //  16 line
     0x6A, 0x55, 0x55, 0xFD, 0xAB, 0xAA, 0x6A, 0x55,  //  16 line
     0x55, 0x55, 0xA9, 0xAA, 0x56, 0x5A, 0xAA, 0xAA,  //  16 line
     0xAA, 0xEA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  16 line
     0xFF, 0xFF, 0xFF, 0xBF, 0xAA, 0x95, 0x96, 0xAA,  //  16 line
     0x6A, 0x55, 0x55, 0xFD, 0xAB, 0xAA, 0x5A, 0x55,  //  16 line
     0x55, 0x55, 0x55, 0xAA, 0x56, 0x5A, 0xAA, 0xAA,  //  16 line
     0xAA, 0x6A, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  16 line
     0xFF, 0xFF, 0xFF, 0xBF, 0x6A, 0x55, 0xAA, 0xAA,  //  16 line
     0x6A, 0x55, 0x55, 0xF5, 0xAB, 0xAA, 0x5A, 0x55,  //  16 line
     0x55, 0x55, 0x55, 0xA9, 0x96, 0x5A, 0xAA, 0xAA,  //  16 line
     0xA6, 0x6A, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  16 line
     0xFF, 0xFF, 0xFF, 0xBF, 0x5A, 0x55, 0xA9, 0xAA,  //  17 line
     0x6A, 0x55, 0x55, 0xF5, 0xAF, 0xAA, 0x55, 0x55,  //  17 line
     0x55, 0x55, 0x55, 0x95, 0x95, 0x56, 0xAA, 0xAA,  //  17 line
     0x96, 0x6A, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  17 line
     0xFF, 0xFF, 0xFF, 0xBF, 0x56, 0x55, 0xAA, 0xAA,  //  17 line
     0x5A, 0x55, 0x55, 0xF5, 0xAF, 0x6A, 0x55, 0x55,  //  17 line
     0x55, 0x55, 0x55, 0x95, 0xA6, 0x56, 0xA9, 0xAA,  //  17 line
     0x56, 0x6A, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  17 line
     0xFF, 0xFF, 0xFF, 0x7F, 0x55, 0x95, 0xAA, 0xAA,  //  17 line
     0x5A, 0x55, 0x55, 0xD5, 0xBF, 0x5A, 0x55, 0x55,  //  17 line
     0x55, 0x55, 0x55, 0x55, 0xAA, 0x55, 0xA9, 0xAA,  //  17 line
     0xAA, 0xEA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00,  //  17 line
     0xFF, 0xFF, 0xFF, 0x7F, 0x55, 0x55, 0xA5, 0xAA,  //  17 line
     0x56, 0xA5, 0x55, 0xD5, 0xFF, 0x59, 0x55, 0x55,  //  17 line
     0x55, 0x55, 0x55, 0x55, 0xAA, 0x55, 0xA9, 0xAA,  //  17 line
     0xAA, 0xEA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  17 line
     0xFF, 0xFF, 0xFF, 0x7F, 0x55, 0x55, 0xA5, 0xAA,  //  18 line
     0x55, 0xA5, 0x76, 0x55, 0xFD, 0x57, 0x55, 0x55,  //  18 line
     0x55, 0x55, 0x55, 0x95, 0x6A, 0x55, 0xAA, 0xAA,  //  18 line
     0xAA, 0xDA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  18 line
     0xFF, 0xFF, 0xFF, 0x7F, 0x55, 0x55, 0xA5, 0xAA,  //  18 line
     0x55, 0xA9, 0xDA, 0x55, 0x55, 0x55, 0x55, 0x55,  //  18 line
     0x55, 0x55, 0x55, 0x95, 0x6A, 0x95, 0xAA, 0xAA,  //  18 line
     0xAA, 0xDA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  18 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x55, 0x55, 0xA5, 0x6A,  //  18 line
     0x55, 0xA9, 0xAA, 0x55, 0x55, 0x55, 0x55, 0x55,  //  18 line
     0x55, 0x55, 0x55, 0x95, 0x6A, 0xA5, 0xAA, 0xAA,  //  18 line
     0xAA, 0xFA, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00,  //  18 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x55, 0x55, 0xA5, 0x6A,  //  18 line
     0x55, 0xA9, 0xAA, 0x6A, 0x55, 0x55, 0x55, 0x55,  //  18 line
     0x55, 0x55, 0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA,  //  18 line
     0xAA, 0xF6, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,  //  18 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x55, 0x55, 0xA5, 0x6A,  //  19 line
     0x55, 0xA9, 0xAA, 0xAA, 0x6A, 0x55, 0x55, 0x55,  //  19 line
     0x55, 0x55, 0x55, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA,  //  19 line
     0xAA, 0xFE, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,  //  19 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x57, 0x55, 0xAD, 0x6A,  //  19 line
     0x55, 0xA9, 0xAA, 0xAA, 0xAA, 0x56, 0x55, 0x55,  //  19 line
     0x55, 0x55, 0x55, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  19 line
     0xAA, 0xFE, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,  //  19 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x57, 0x55, 0x95, 0x5A,  //  19 line
     0x55, 0xA9, 0xAA, 0xAA, 0xAA, 0x5A, 0x55, 0x55,  //  19 line
     0x55, 0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  19 line
     0xAA, 0xFD, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00,  //  19 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x6F, 0x55, 0x55, 0x59,  //  19 line
     0x55, 0xA9, 0xAA, 0xAA, 0xAA, 0x6A, 0x55, 0x55,  //  19 line
     0x55, 0x55, 0xA9, 0xAA, 0xA6, 0xAA, 0xAA, 0xAA,  //  19 line
     0x6A, 0xFF, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00,  //  19 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0x55, 0x55, 0x59,  //  20 line
     0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0x55, 0x55,  //  20 line
     0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xEA, 0xFF, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00,  //  20 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0x55, 0x55, 0x59,  //  20 line
     0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x55,  //  20 line
     0xA5, 0xAA, 0xAA, 0xAA, 0xA9, 0xAA, 0xAA, 0xAA,  //  20 line
     0xDA, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00,  //  20 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x55, 0x55, 0x59,  //  20 line
     0x55, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xAA, 0xAA, 0xAA, 0x6A, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xF6, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00,  //  20 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x6B, 0x55, 0x5A,  //  20 line
     0x55, 0x55, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xAA, 0xAA, 0xAA, 0x9A, 0xAA, 0xAA, 0xAA, 0xAA,  //  20 line
     0xF5, 0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00,  //  20 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xAF, 0x9A, 0x6A,  //  21 line
     0x55, 0x55, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  21 line
     0xAA, 0xAA, 0xAA, 0xA6, 0xAA, 0xAA, 0xA9, 0x6A,  //  21 line
     0xFD, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,  //  21 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F, 0xAA, 0xAA,  //  21 line
     0x55, 0x55, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  21 line
     0xAA, 0xAA, 0x6A, 0xA9, 0xAA, 0x6A, 0xA9, 0xDA,  //  21 line
     0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00,  //  21 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5F, 0xAF,  //  21 line
     0x56, 0x55, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  21 line
     0xAA, 0xAA, 0x96, 0xAA, 0xAA, 0x6A, 0xAA, 0xFA,  //  21 line
     0xFF, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00,  //  21 line
     0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x9F,  //  21 line
     0x5A, 0x55, 0x55, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  21 line
     0xAA, 0x6A, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xF6,  //  21 line
     0xFF, 0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00,  //  21 line
     0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF,  //  22 line
     0x6A, 0x55, 0x55, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0xF5,  //  22 line
     0xFF, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00, 0x00,  //  22 line
     0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xBF,  //  22 line
     0xAA, 0x55, 0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x55, 0xFD,  //  22 line
     0xFF, 0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00, 0x00,  //  22 line
     0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x7F,  //  22 line
     0xAA, 0x5A, 0x55, 0x95, 0xAA, 0xA5, 0xAA, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A, 0x55, 0xFD,  //  22 line
     0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00,  //  22 line
     0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  22 line
     0xAA, 0xAA, 0x5A, 0x55, 0x55, 0xA9, 0xAA, 0xAA,  //  22 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0x55, 0xFF,  //  22 line
     0xFF, 0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00,  //  22 line
     0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  23 line
     0xA9, 0xAA, 0xAA, 0x56, 0x55, 0xAA, 0xAA, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x56, 0xD5, 0xFF,  //  23 line
     0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00,  //  23 line
     0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  23 line
     0xA7, 0xAA, 0xAA, 0xAA, 0x55, 0x56, 0x95, 0x56,  //  23 line
     0x55, 0x95, 0xAA, 0xAA, 0xAA, 0x55, 0xF5, 0xFF,  //  23 line
     0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00,  //  23 line
     0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  23 line
     0x9F, 0xAA, 0xAA, 0xAA, 0x56, 0x55, 0x55, 0x55,  //  23 line
     0x55, 0x55, 0xAA, 0xAA, 0x6A, 0x55, 0xFD, 0xFF,  //  23 line
     0xFF, 0xFF, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00,  //  23 line
     0x00, 0xFC, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  23 line
     0x7F, 0xAA, 0xAA, 0xAA, 0x5A, 0x95, 0xAA, 0xAA,  //  23 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x5A, 0x55, 0xFF, 0xFF,  //  23 line
     0xFF, 0xFF, 0x0F, 0x00, 0x00, 0x00, 0x00, 0x00,  //  23 line
     0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  24 line
     0xFF, 0xA9, 0xAA, 0xAA, 0x6A, 0x55, 0xA9, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x56, 0xD5, 0xFF, 0xFF,  //  24 line
     0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00,  //  24 line
     0x00, 0xF0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  24 line
     0xFF, 0xAF, 0xAA, 0xAA, 0xAA, 0x55, 0xA5, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0x6A, 0x55, 0xF5, 0xFF, 0xFF,  //  24 line
     0xFF, 0xFF, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00,  //  24 line
     0x00, 0xC0, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF,  //  24 line
     0xFF, 0x7F, 0xAA, 0xAA, 0xAA, 0x5A, 0x95, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0x56, 0x55, 0xFF, 0xFF, 0xFF,  //  24 line
     0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  24 line
     0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0x5F,  //  24 line
     0xFF, 0xFF, 0xAA, 0xAA, 0xAA, 0x6A, 0x55, 0xAA,  //  24 line
     0xAA, 0xAA, 0xAA, 0x55, 0x55, 0x57, 0x5A, 0x7F,  //  24 line
     0xF5, 0x3F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  24 line
     0x00, 0x00, 0xA8, 0xF6, 0x7F, 0xA9, 0x9A, 0xAA,  //  25 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x55, 0xA9,  //  25 line
     0xAA, 0xAA, 0x6A, 0x55, 0xA5, 0xAA, 0xAA, 0xAA,  //  25 line
     0xAA, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  25 line
     0x00, 0x00, 0xA0, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  25 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x56, 0xA9,  //  25 line
     0xAA, 0xAA, 0x5A, 0x55, 0xAA, 0xAA, 0xAA, 0xAA,  //  25 line
     0xAA, 0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  25 line
     0x00, 0x00, 0x80, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  25 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  25 line
     0xAA, 0xAA, 0x56, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA,  //  25 line
     0xAA, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  25 line
     0x00, 0x00, 0x00, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  25 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  25 line
     0xAA, 0xAA, 0x55, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  25 line
     0x2A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  25 line
     0x00, 0x00, 0x00, 0xA8, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0xAA, 0x56, 0x95, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0x0A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  26 line
     0x00, 0x00, 0x00, 0xA0, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0x6A, 0x55, 0xA9, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0x02, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  26 line
     0x00, 0x00, 0x00, 0x80, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x6A,  //  26 line
     0x55, 0xA5, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  26 line
     0x00, 0x00, 0x00, 0x00, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  26 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x2A,  //  26 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  26 line
     0x00, 0x00, 0x00, 0x00, 0xA8, 0xAA, 0xAA, 0xAA,  //  27 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  27 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x0A,  //  27 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  27 line
     0x00, 0x00, 0x00, 0x00, 0x80, 0xAA, 0xAA, 0xAA,  //  27 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  27 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x00,  //  27 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  27 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0xA8, 0xAA, 0xAA,  //  27 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  27 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x2A, 0x00,  //  27 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  27 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0xA8, 0xAA, 0xAA,  //  27 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  27 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x0A, 0x00,  //  27 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  27 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xAA, 0xAA,  //  28 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  28 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x00, 0x00,  //  28 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  28 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA8, 0xAA,  //  28 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  28 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x0A, 0x00, 0x00,  //  28 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  28 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0xAA,  //  28 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  28 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0x00, 0x00, 0x00,  //  28 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  28 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xA8,  //  28 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  28 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x0A, 0x00, 0x00, 0x00,  //  28 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  28 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80,  //  29 line
     0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  29 line
     0xAA, 0xAA, 0xAA, 0xAA, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0xA8, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  29 line
     0xAA, 0xAA, 0xAA, 0x02, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  29 line
     0xAA, 0xAA, 0x0A, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x80, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  29 line
     0xAA, 0x2A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  29 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0xAA, 0xAA, 0xAA, 0xAA, 0xAA,  //  30 line
     0x2A, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x2A, 0x2A, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  30 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
     0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,  //  31 line
};

const tTextureParameter		palette4_ta_Parameter = {
				4096,				8,				0,
				GX_TEXFMT_PLTT4,	128,			128,		128,		128};

//			Texel size, palette size, palette index size, 
//			Format, width, height, Actual width, Actual height
