/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    FileTextureViewer.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

 Create the header file and texture data file for TextureViewer.

  $Log: FileTextureViewer.h,v $
  Revision 1.8  2005/06/20 06:54:11  mominoki
  Revised copyright. Made revision adjustments. 

  Revision 1.1  2004/04/15		mominoki
  Fixed comments.

  Revision 1.0  2004/03/03		mominoki
  Entered initial version.

  $NoKeywords: $
 ***************************************************************************/
#ifndef FileTextureViewer_H_
#define FileTextureViewer_H_

#include <cstring>

namespace TXLibUtilityEx
{
	typedef struct tTextureData{
		u32		type;						// CTexture Format
		u16		width;						// Width
		u16		height;						// Height
		u32		texelDataSize;				// Texel data size
		u32		paletteDataSize;			// Palette data size
		u32		paletteIndexDataSize;		// Palette index data size
		char	ntfPathName[ _MAX_PATH];	// NTF pass name
	}tTextureData;

	bool SaveNtfHeaderFile(
		const	char*						pPathName,						// Path name
		const	tTextureData*				pTextureDataArray,				// Texture data array
				u32							number							// Quantity
	); // Create and save the NTF header file

	bool SaveNtfImageParameterFile(
		const	char*						pPathName,						// Path name
		const	tTextureData*				pTextureDataArray,				// Texture data array
				u32							number							// Quantity
	); // Create and save the NTF image parameter source file

} // namespace

#endif
