/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    TXLibUtilityEx_SaveBg.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: TXLibUtilityEx_SaveBg.h,v $
  Revision 1.8  2005/06/20 06:54:11  mominoki
  Revised copyright. Made revision adjustments. 

  Revision 1.3	2004/10/27		mominoki
  Added bgAlignmentPaletteNumberFlg to SaveBg() arguments. 
  Changed to allow selection of whether to output palette with 16 colors when 4 bit, and 256 colors when 8 bit, during BG output.  
 
  Revision 1.2	2004/07/28		mominoki
 Added offsetColorIndex to arguments of SaveBg_Source(),SaveBg().
 Added functionality that offsets color index values with palette16, palette256, affine, palette256x16 

  Revision 1.1	2004/04/15		mominoki
  Fixed comment.

  Revision 1.0	2004/03/03		mominoki
  Entered initial version.

  $NoKeywords: $
 ***************************************************************************/
#ifndef TXLIBUTILITYEX_SAVE_BG_
#define TXLIBUTILITYEX_SAVE_BG_

#include <cstring>

#include "TXLibUtilityEx_Bg.h"

namespace TXLibUtilityEx
{
	bool SaveBg(
				u32*						nChar,							// Text BG character count
		const 	char*						pPathName,						// Save file path name
				bool						binaryFlg,						// Binary output flag ( 0: source, 1: binary)
				TXLib::CTexture*			pTexture,						// CTexture pointer
				CBg::tType					bgType,							// Format
				bool						bgHFlip,						// H flip enabled ( BG_TEXT_CI4, BG_TEXT_palette256, BG_TEXT_palette256X16 )
				bool						bgVFlip,						// V flip enabled ( BG_TEXT_CI4, BG_TEXT_palette256, BG_TEXT_palette256X16 )
				bool						compressFlg,					// Character compression enabled ( kType_text_palette16, kType_text_palette256, kType_text_palette256X16 )
				u8							bgPaletteNumber,				// Palette number (BG_TEXT_CI4, BG_TEXT_palette256x16)
				bool						bgAlignmentPaletteNumberFlg, // Palette number adjustment flag (BG_TEXT_CI4, BG_TEXT_palette256, BG_TEXT_palette256X16)
				u8							offsetColorIndex,				// Color index offset value(BG_TEXT_CI4, BG_TEXT_palette256x16)
		const	char*						pInputPathName					// Input image file path name
	);

} // namespace

#endif
