/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    MyUtility.cpp

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.


  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

	Function group for use with C,C++

  $Log: MyUtility.cpp,v $
  Revision 1.8  2005/06/20 06:54:11  mominoki
  Changed copyright. Made revision adjustments. 

  Revision 1.1  2004/04/15		mominoki
  Corrected comment

  Revision 1.0  2004/03/03		mominoki
  Initial registration

  $NoKeywords: $
 ***************************************************************************/
#ifndef MYCUTILITY_H_
#define MYCUTILITY_H_

namespace MyCUtility{

	bool IsCorrectPathName(
			char*						pPathName				// Path name
	); // Determine whether path name is valid in C programs.


	int	IsCorrectExtName(
		const	char*					pPathName,				// Path name
		const	char*					pExtName				// Extension name
	); // Determine whether path name's extension is correct (i.e., whether it is the same as the specified extension) 


	bool GetOptionColor(
				unsigned char*			pRed,					// Color value Red
				unsigned char*			pGreen,					// Color value Green
				unsigned char*			pBlue,					// Color value Blue
		const	char*					pOptionAll,				// Entire option
		const	char*					pToken					// Token character 
	); // Read the color values inside option.

} // namespace

#endif