/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    TXLib.h

  Copyright 2004 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  This is the TXLib header file.
  Include this at the start of the application that uses TXLib.

  $Log: TXLib.h,v $
  Revision 1.4  2004/10/26 11:06:41  mominoki
  (none)


  Revision 1.1  2004/04/15		mominoki
  Revised the comments.

  Revision 1.0  2004/01/13		mominoki
  Initial registration.

  $NoKeywords: $
 ***************************************************************************/
#ifndef TXLIB_H_
#define TXLIB_H_

#include <TXLib_Define.h>
#include <TXLib_Typedef.h>

// Base
#include <TXLib/Base/TXLib_Data.h>
#include <TXLib/Base/TXLib_ByteData.h>
#include <TXLib/Base/TXLib_AlphaImage.h>
#include <TXLib/Base/TXLib_ColorIndexImage.h>
#include <TXLib/Base/TXLib_ColorPalette.h>
#include <TXLib/Base/TXLib_DirectColorImage.h>
#include <TXLib/Base/TXLib_Texture.h>

// Convert
#include <TXLib/Convert/TXLib_ColorProcessor.h>
#include <TXLib/Convert/TXLib_DefaultColorProcessor.h>
#include <TXLib/Convert/TXLib_Ntf.h>

#pragma comment(lib, "TXLib.lib")

#endif