/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    TXLib_Define.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  This file defines TXLib. Use this if needed on the application side.

  $Log: TXLib_Define.h,v $
  Revision 1.6  2005/06/20 00:46:33  mominoki
  20050620

  Revision 1.5  2004/10/26 11:06:41  mominoki
  (none)


  Revision 1.1  2004/04/15		mominoki
  Revised the comments.

  Revision 1.0  2004/03/03		mominoki
  Initial registration.

  $NoKeywords: $
 ***************************************************************************/
#ifndef TXLIB_DEFINE_H_
#define TXLIB_DEFINE_H_

/*********************************************************************************************************
	define
*********************************************************************************************************/
#define 	TLB_4								4		// texel block size (4x4 texel 1 block)
#define 	TLB_PALETTEADDRESS_MAX				16384	// Largest value of the palette address

/*********************************************************************************************************
	macro
*********************************************************************************************************/
// 16-bit data
#define 	TLB_DATA_1555( i, j, k, l ) 		(u16)( (0x0000) | ((i) << 15) | ((j) << 10) | ((k) << 5 ) | (l) )
#define 	TLB_GET_L1_DATA_1555( ijkl ) 		(u8)( ((ijkl) & 0x8000) >> 15 )
#define 	TLB_GET_L2_DATA_1555( ijkl ) 		(u8)( ((ijkl) & 0x7c00) >> 10 )
#define 	TLB_GET_L3_DATA_1555( ijkl ) 		(u8)( ((ijkl) & 0x03e0) >> 5 )
#define 	TLB_GET_L4_DATA_1555( ijkl ) 		(u8)( ((ijkl) & 0x001f)		  )

// Color weight
#define		TLB_WEIGHT_RED		30
#define		TLB_WEIGHT_GREEN	59
#define		TLB_WEIGHT_BLUE		11

// Brightness
#define 	TLB_GET_Y( red, green, blue )	(u8)( ( ( 77 * (red) ) + ( 151 * (green) ) + ( 28 * (blue) ) ) >> 8 )

// Gets the tex4x4 linear interpolation palette color
#define		TLB_GET_TEX4X4LINEARPALETTE_COLOR2_FOUR( color0, color1 )	(u8)( ( 5 * (color0) + 3 * (color1)) >> 3 )
#define		TLB_GET_TEX4X4LINEARPALETTE_COLOR3_FOUR( color0, color1 )	(u8)( ( 3 * (color0) + 5 * (color1)) >> 3 )
#define		TLB_GET_TEX4X4LINEARPALETTE_COLOR2( color0, color1 )		(u8)( ((color0) + (color1)) >> 1 )

#endif
